Bases de datos compatibles

www.altova.com Imprimir este apartado Página anterior Subir un nivel Página siguiente

Inicio >  Comparación de BD >

Bases de datos compatibles

La siguiente tabla enumera los tipos de conexión de BD compatibles para cada plataforma.

 

Tipo de conexión

Linux

macOS

Windows

ADO

-

-

ADO.NET

-

-

Sí, con algunas restricciones (véase Notas sobre la compatibilidad con ADO.NET )

JDBC

ODBC

-

-

PostgreSQL

SQLite

 

Para que sea posible conectarse a una base de datos, los controladores de BD correspondientes deben estar instalados en el sistema operativo, en concreto:

 

Para conexiones ADO.NET debe tener instalado .NET Framework. El proveedor de ADO.NET del distribuidor de la BD debe estar instalado si no viene incluido en el sistema operativo. Tenga en cuenta que los proveedores de ADO.NET de algunas bases de datos no son compatibles (véase Notas sobre la compatibilidad con ADO.NET ).
Para conexiones JDBC debe añadir la variable CLASSPATH a los controladores JDBC. También debe tener instalado JRE (Java Runtime Environment) o JDK (Java Development Kit). Este último puede ser el JDK de Oracle o uno de código abierto, como Oracle OpenJDK.
Para conexiones ODBC debe tener instalado el controlador ODBC del distribuidor de BD correspondiente.

 

La versión de plataforma de DiffDog (32 o 64 bits) debe ser la misma que la del controlador de la BD.

 

Las conexiones PostgreSQL y SQLite ya vienen incorporadas de forma nativa, por lo que no necesitan controladores.

 

Para ver todos los controladores de BD que DiffDog ha instalado en su equipo ejecute el comando db-drivers.

 

Las bases de datos compatibles y sus objetos raíz aparecen a continuación. Altova procura ofrecer compatibilidad con otras bases de datos, pero sólo se garantiza una conexión y un procesamiento correctos con las bases de datos de la lista. Si usa la versión de 64 bits de DiffDog Server, compruebe que tiene acceso a los controladores de BD de 64 bits de la BD a la que quiere conectarse.

 

Base de datos

Observaciones

Firebird 2.5.4, 3.0


IBM DB2 8.x, 9.1, 9.5, 9.7, 10.1, 10.5


IBM Db2 para i 6.1, 7.1, 7.2, 7.3

Los archivos lógicos son compatibles y se muestran en vistas.

IBM Informix 11.70, 12.10

 

MariaDB 10.2, 10.3


Microsoft Access 2003, 2007, 2010, 2013


Microsoft Azure SQL Database

SQL Server 2016 codebase

Microsoft SQL Server 2005, 2008, 2012, 2014, 2016, 2017,

Microsoft SQL Server para Linux


MySQL 5.0, 5.1, 5.5, 5.6, 5.7, 8.0


Oracle 9i, 10g, 11g, 12c


PostgreSQL 8.0, 8.1, 8.2, 8.3, 9.0.10, 9.1.6, 9.2.1, 9.4, 9.5, 9.6, 10, 11

Son compatibles todas las conexiones PostgreSQL, tanto nativas como basadas en controladores, a través de interfaces como ODBC o JDBC. Las conexiones nativas no necesitan controladores.

Progress OpenEdge 11.6

 

SQLite 3.x

Las conexiones SQLite son conexiones nativas y directas compatibles con el archivo de base de datos de SQLite. No se precisan controladores separados.

Sybase ASE 15, 16


Teradata16

 

 

Notas sobre la compatibilidad con ADO.NET

The following table lists known ADO.NET database drivers that are currently not supported or have limited support in DiffDog Server.

 

Database

Driver

Support notes

All databases

.Net Framework Data Provider for ODBC

Limited support. Known issues exist with Microsoft Access connections. It is recommended to use ODBC direct connections instead.

.Net Framework Data Provider for OleDb

Limited support. Known issues exist with Microsoft Access connections. It is recommended to use ADO direct connections instead.

Firebird

Firebird ADO.NET Data Provider

Limited support. It is recommended to use ODBC or JDBC instead.

Informix

IBM Informix Data Provider for .NET Framework 4.0

Not supported. Use DB2 Data Server Provider instead.

IBM DB2 for i (iSeries)

.Net Framework Data Provider for i5/OS

Not supported. Use .Net Framework Data Provider for IBM i instead, installed as part of the IBM i Access Client Solutions - Windows Application Package.

Oracle

.Net Framework Data Provider for Oracle

Limited support. Although this driver is provided with the .NET Framework, its usage is discouraged by Microsoft, because it is deprecated.

PostgreSQL

-

No ADO.NET drivers for this vendor are supported. Use a native connection instead.

Sybase

-

No ADO.NET drivers for this vendor are supported.


© 2019 Altova GmbH